# Development Setup

## Install Dependencies
Install dependencies with `npm`.
```shell
npm install
```

## Environment Setup
Create the file `.env` with the following (or similar) content. See the [README](README.md) for details on these
environment variables.
```
VITE_API_BASE_URL=http://localhost:9999/api
VITE_S3_URL=http://localhost:9998
```
## Backend Setup
Clone the [repository](https://gitlab.ub.uni-bielefeld.de/denbi/object-storage-access) for the backend and set up the
service for developing.

## Run linter and type check
```shell
npm run lint
npm run type-check
```

## Run Dev Server
Start the dev service with `npm`
```shell
npm run dev
```

## Create axios client
To create the axios client from the OpenAPI definition of the backend, start the backend and execute the following command
```shell
npm run generate-client
```
